<?php

if (empty($_GET['sok'])) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'Вы действительно хотите очистить почтовый ящик ' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '?<br />' . "\n";
    echo '<a href="?func=email.clear&amp;elid=' . urlencode($_GET['elid']) . '&amp;sok=yes">Да</a> / <a href="?func=email">Нет</a>' . "\n";
    echo '</div></div>' . "\n";
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=email.clear&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Почтовый ящик успешно очищен!<br />' . "\n";
        echo '<a href="?func=email">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при очистке почтового ящика!<br />' . "\n";
        echo '<a href="?func=email">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>